> For the complete documentation index, see [llms.txt](https://developer.textmaster.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.textmaster.com/reference/users.md).

# Users

## Get my user information

{% hint style="info" %}
**OAuth:** This endpoint requires one of the following scopes: `user:manage`, `user:read` or `user:write`.
{% endhint %}

{% hint style="warning" %}
**Warning:** Only OAuth Apps with the `user:email` scope will be able to access the authenticated user's private email address.
{% endhint %}

{% openapi src="<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>" path="/v1/clients/users/me" method="get" %}
<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>
{% endopenapi %}

#### Code samples

```shell
curl -G "https://api.textmaster.com/v1/clients/users/me" \
  -H "Authorization: Bearer c6446be4ac320b1a5dd746a349ac0f750e4867ea7fa474092dfde404c1dfb64b"
```

## Update callbacks for my user

{% hint style="info" %}
**OAuth:** This endpoint requires one of the following scopes: `user:manage` or `user:write`.
{% endhint %}

{% openapi src="<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>" path="/v1/clients/users/{user\_id}" method="put" %}
<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>
{% endopenapi %}

#### Code samples

```shell
curl "https://api.textmaster.com/v1/clients/users/61698aff8b81926d91c0f72c" \
  -X PUT \
  -d '{
    "user": {
      "callback": {
        "waiting_assignment": {
          "url": "https://example.com/waiting_assignment_callback",
          "format": "json"
        },
        "completed": {
          "url": "https://example.com/completed_callback",
          "format": "json"
        }
      }
    }
  }' \
  -H "Authorization: Bearer ac343d393b0041cb8f73b92010a09a543f55605b7877bff63ae359dcd103ad4a" \
  -H "Content-Type: application/json"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.textmaster.com/reference/users.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
